## openchange 0.11

=== Makefile ===
# # Makefile for OpenChange
# Written by Jelmer Vernooij <jelmer@openchange.org>, 2005.

default: all

# Until we add proper dependencies for all the C files:
.NOTPARALLEL:

config.mk: config.status config.mk.in
	./config.status

config.status: configure
	@if test x"$(prefix)" != x""; then \
		echo "Running configure with prefix '$(prefix)'..."; \
		./configure --prefix=$(prefix); \
	else \
		echo "Running configure without prefix"; \
		./configure; \
	fi
 
configure: configure.ac
	PREFIX=$(prefix) ./autogen.sh

samba:
	./script/installsamba4.sh all

samba-git: 
	./script/installsamba4.sh git-all

samba-git-update:
	./script/installsamba4.sh git-update

ifneq ($(MAKECMDGOALS), samba)
ifneq ($(MAKECMDGOALS), samba-git)
include config.mk
endif
endif

#################################################################
# top level compilation rules
#################################################################

all: 		$(OC_IDL)		\
		$(OC_LIBS)		\
		$(OC_TOOLS)		\
		$(OC_SERVER)		\
		$(PYMAPIALL)		\
		$(COVERAGE_INIT)	\
		$(OPENCHANGE_QT4)

install: 	all 			\
		installlib 		\
		installpc 		\
		installheader 		\
		$(OC_TOOLS_INSTALL) 	\
		$(OC_SERVER_INSTALL) 	\
		$(PYMAPIINSTALL) \
		installnagios

installlib:	$(OC_LIBS_INSTALL)
installpc:	$(OC_LIBS_INSTALLPC)
installheader:	$(OC_LIBS_INSTALLHEADERS)

uninstall:: 	$(OC_LIBS_UNINSTALL) 	\
		$(OC_TOOLS_UNINSTALL) 	\
		$(OC_SERVER_UNINSTALL) 	\
		$(PYMAPIUNINSTALL)

dist:: distclean
	./autogen.sh

distclean:: clean
	rm -f aclocal.m4
	rm -rf autom4te.cache
	rm -f Doxyfile
	rm -f libmapi/Doxyfile
	rm -f libmapiadmin/Doxyfile
	rm -f libocpf/Doxyfile
	rm -f libmapi++/Doxyfile
	rm -f mapiproxy/Doxyfile
	rm -f mapiproxy/libmapistore/Doxyfile
	rm -f config.status config.log
	rm -f config.h
	rm -f stamp-h1
	rm -f utils/mapitest/Doxyfile
	rm -f intltool-extract intltool-merge intltool-update
	rm -rf apidocs
	rm -rf gen_ndr
	rm -f tags

clean::
	rm -f *~
	rm -f */*~
	rm -f */*/*~
	rm -f doc/examples/mapi_sample1
	rm -f doc/examples/fetchappointment
	rm -f doc/examples/fetchmail

re:: clean install

#################################################################
# Suffixes compilation rules
#################################################################

.SUFFIXES: .c .o .h .po .idl .cpp

.idl.h:
	@echo "Generating $@"
	@$(PIDL) --outputdir=gen_ndr --header -- $<

.c.o:
	@echo "Compiling $<"
	@$(CC) $(WAF_BUILD_INC) $(CFLAGS) -c $< -o $@

.c.po:
	@echo "Compiling $< with -fPIC"
	@$(CC) $(WAF_BUILD_INC) $(CFLAGS) -fPIC -c $< -o $@

.cpp.o:
	@echo "Compiling $< with -fPIC"
	@$(CXX) $(CXXFLAGS) $(QT4_CXXFLAGS) -fPIC -c $< -o $@

.cpp.po:
	@echo "Compiling $< with -fPIC"
	@$(CXX) $(CXXFLAGS) -fPIC -c $< -o $@

#################################################################
# IDL compilation rules
#################################################################

idl: gen_ndr gen_ndr/ndr_exchange.h gen_ndr/ndr_property.h

exchange.idl: properties_enum.h mapicodes_enum.h

gen_ndr:
	@echo "Creating the gen_ndr directory"
	mkdir -p gen_ndr

gen_ndr/ndr_%.h gen_ndr/ndr_%.c: %.idl %.h
	@echo "Generating $@"
	@$(PIDL) --outputdir=gen_ndr --ndr-parser -- $<

gen_ndr/ndr_%_c.h gen_ndr/ndr_%_c.c: %.idl %.h
	@echo "Generating $@"
	@$(PIDL) --outputdir=gen_ndr --client -- $<

gen_ndr/ndr_%_s.c: %.idl
	@echo "Generating $@"
	@$(PIDL) --outputdir=gen_ndr --server -- $<



#################################################################
# libmapi compilation rules
#################################################################

LIBMAPI_SO_VERSION = 0

libmapi:	idl					\
		libmapi/version.h			\
		libmapi.$(SHLIBEXT).$(PACKAGE_VERSION)	

libmapi-install:	libmapi			\
			libmapi-installpc	\
			libmapi-installlib	\
			libmapi-installheader	\
			libmapi-installscript

libmapi-uninstall:	libmapi-uninstallpc	\
			libmapi-uninstalllib	\
			libmapi-uninstallheader	\
			libmapi-uninstallscript

libmapi-clean::
	rm -f libmapi/*.o libmapi/*.po
	rm -f libmapi/*.gcno libmapi/*.gcda libmapi/*.gcov
	rm -f libmapi/socket/*.o libmapi/socket/*.po
	rm -f libmapi/socket/*.gcno libmapi/socket/*.gcda
	rm -f libmapi/version.h
ifneq ($(SNAPSHOT), no)
	rm -f libmapi/mapicode.c
	rm -f libmapi/codepage_lcid.c
	rm -f mapicodes_enum.h
endif
	rm -f gen_ndr/ndr_exchange*
	rm -f gen_ndr/exchange.h
	rm -f gen_ndr/ndr_property*
	rm -f gen_ndr/property.h
	rm -f ndr_mapi.o ndr_mapi.po
	rm -f ndr_mapi.gcno ndr_mapi.gcda
	rm -f *~
	rm -f */*~
	rm -f */*/*~
	rm -f libmapi.$(SHLIBEXT).$(PACKAGE_VERSION) libmapi.$(SHLIBEXT).* \
		  libmapi.$(SHLIBEXT)

clean:: libmapi-clean

libmapi-distclean::
	rm -f libmapi.pc

distclean:: libmapi-distclean

libmapi-installpc:
	@echo "[*] install: libmapi pc files"
	$(INSTALL) -d $(DESTDIR)$(libdir)/pkgconfig
	$(INSTALL) -m 0644 libmapi.pc $(DESTDIR)$(libdir)/pkgconfig

libmapi-installlib:
	@echo "[*] install: libmapi library"
	$(INSTALL) -d $(DESTDIR)$(libdir)
	$(INSTALL) -m 0755 libmapi.$(SHLIBEXT).$(PACKAGE_VERSION) $(DESTDIR)$(libdir)
	ln -sf libmapi.$(SHLIBEXT).$(PACKAGE_VERSION) $(DESTDIR)$(libdir)/libmapi.$(SHLIBEXT)
ifeq ($(MANUALLY_CREATE_SYMLINKS), yes)
	ln -sf libmapi.$(SHLIBEXT).$(PACKAGE_VERSION) $(DESTDIR)$(libdir)/libmapi.$(SHLIBEXT).$(LIBMAPI_SO_VERSION)
endif

libmapi-installheader:
	@echo "[*] install: libmapi headers"
	$(INSTALL) -d $(DESTDIR)$(includedir)/libmapi 
	$(INSTALL) -d $(DESTDIR)$(includedir)/libmapi/socket 
	$(INSTALL) -d $(DESTDIR)$(includedir)/gen_ndr
	$(INSTALL) -m 0644 libmapi/libmapi.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/nspi.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/emsmdb.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/mapi_context.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/mapi_provider.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/mapi_id_array.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/mapi_notification.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/mapi_object.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/mapi_profile.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/mapi_nameid.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/mapidefs.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/version.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/mapicode.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/property_tags.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/property_altnames.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/socket/netif.h $(DESTDIR)$(includedir)/libmapi/socket/
	$(INSTALL) -m 0644 gen_ndr/exchange.h $(DESTDIR)$(includedir)/gen_ndr/
	$(INSTALL) -m 0644 gen_ndr/property.h $(DESTDIR)$(includedir)/gen_ndr/
	@$(SED) $(DESTDIR)$(includedir)/libmapi/*.h
	@$(SED) $(DESTDIR)$(includedir)/libmapi/socket/*.h
	@$(SED) $(DESTDIR)$(includedir)/gen_ndr/*.h

libmapi-installscript:
	$(INSTALL) -d $(DESTDIR)$(datadir)/setup/profiles
	$(INSTALL) -m 0644 setup/profiles/oc_profiles* $(DESTDIR)$(datadir)/setup/profiles/

libmapi-uninstallpc:
	rm -f $(DESTDIR)$(libdir)/pkgconfig/libmapi.pc

libmapi-uninstalllib:
	rm -f $(DESTDIR)$(libdir)/libmapi.*

libmapi-uninstallheader:
	rm -rf $(DESTDIR)$(includedir)/libmapi
	rm -f $(DESTDIR)$(includedir)/gen_ndr/exchange.h
	rm -f $(DESTDIR)$(includedir)/gen_ndr/property.h

libmapi-uninstallscript:
	rm -f $(DESTDIR)$(datadir)/setup/profiles/oc_profiles*
	rm -rf $(DESTDIR)$(datadir)/setup/profiles

libmapi.$(SHLIBEXT).$(PACKAGE_VERSION): 		\
	libmapi/emsmdb.po				\
	libmapi/async_emsmdb.po				\
	libmapi/IABContainer.po				\
	libmapi/IProfAdmin.po				\
	libmapi/IMAPIContainer.po			\
	libmapi/IMAPIFolder.po				\
	libmapi/IMAPIProp.po				\
	libmapi/IMAPISession.po				\
	libmapi/IMAPISupport.po				\
	libmapi/IStream.po				\
	libmapi/IMAPITable.po				\
	libmapi/IMessage.po				\
	libmapi/IMsgStore.po				\
	libmapi/IStoreFolder.po				\
	libmapi/IUnknown.po				\
	libmapi/IMSProvider.po				\
	libmapi/IXPLogon.po				\
	libmapi/FXICS.po				\
	libmapi/utils.po 				\
	libmapi/property.po				\
	libmapi/cdo_mapi.po 				\
	libmapi/lzfu.po					\
	libmapi/mapi_object.po				\
	libmapi/mapi_id_array.po			\
	libmapi/property_tags.po			\
	libmapi/mapidump.po				\
	libmapi/mapicode.po 				\
	libmapi/codepage_lcid.po			\
	libmapi/mapi_nameid.po				\
	libmapi/nspi.po 				\
	libmapi/simple_mapi.po				\
	libmapi/freebusy.po				\
	libmapi/x500.po 				\
	libmapi/fxparser.po				\
	libmapi/notif.po				\
	ndr_mapi.po					\
	gen_ndr/ndr_exchange.po				\
	gen_ndr/ndr_exchange_c.po			\
	gen_ndr/ndr_property.po				\
	libmapi/socket/interface.po			\
	libmapi/socket/netif.po				
	@echo "Linking $@"
	@$(CC) $(DSOOPT) $(CFLAGS) $(LDFLAGS) -Wl,-soname,libmapi.$(SHLIBEXT).$(LIBMAPI_SO_VERSION) -o $@ $^ $(LIBS)


libmapi.$(SHLIBEXT).$(LIBMAPI_SO_VERSION): libmapi.$(SHLIBEXT).$(PACKAGE_VERSION)
	ln -fs $< $@

libmapi/version.h: VERSION
	@./script/mkversion.sh VERSION libmapi/version.h $(PACKAGE_VERSION) $(top_builddir)/

libmapi/emsmdb.c: libmapi/emsmdb.h gen_ndr/ndr_exchange_c.h

libmapi/async_emsmdb.c: libmapi/emsmdb.h gen_ndr/ndr_exchange_c.h

libmapi/mapicode.c libmapi/codepage_lcid.c mapicodes_enum.h: \
	libmapi/conf/mapi-properties								\
	libmapi/conf/mapi-codes									\
	libmapi/conf/mapi-named-properties							\
	libmapi/conf/codepage-lcid								\
	libmapi/conf/mparse.pl
	@./libmapi/conf/build.sh

#################################################################
# libmapi++ compilation rules
#################################################################

LIBMAPIPP_SO_VERSION = 0

libmapixx: libmapi \
	libmapipp.$(SHLIBEXT).$(PACKAGE_VERSION) \
	libmapixx-tests \
	libmapixx-examples

libmapipp.$(SHLIBEXT).$(PACKAGE_VERSION): 	\
	libmapi++/src/attachment.po 		\
	libmapi++/src/folder.po 		\
	libmapi++/src/mapi_exception.po		\
	libmapi++/src/message.po		\
	libmapi++/src/object.po			\
	libmapi++/src/profile.po		\
	libmapi++/src/session.po
	@echo "Linking $@"
	@$(CXX) $(DSOOPT) $(CXXFLAGS) $(LDFLAGS) -Wl,-soname,libmapipp.$(SHLIBEXT).$(LIBMAPIPP_SO_VERSION) -o $@ $^ $(LIBS)

libmapixx-installpc:
	@echo "[*] install: libmapi++ pc files"
	$(INSTALL) -d $(DESTDIR)$(libdir)/pkgconfig
	$(INSTALL) -m 0644 libmapi++.pc $(DESTDIR)$(libdir)/pkgconfig

libmapixx-distclean:
	rm -f libmapi++.pc

libmapixx-uninstallpc:
	rm -f $(DESTDIR)$(libdir)/pkgconfig/libmapi++.pc

distclean::libmapixx-distclean

clean:: libmapixx-clean

libmapixx-install: libmapixx-installheader libmapixx-installlib libmapixx-installpc

libmapixx-uninstall: libmapixx-uninstallheader libmapixx-uninstalllib libmapixx-uninstallpc

libmapixx-installheader:
	@echo "[*] install: libmapi++ headers"
	$(INSTALL) -d $(DESTDIR)$(includedir)/libmapi++
	$(INSTALL) -m 0644 libmapi++/attachment.h $(DESTDIR)$(includedir)/libmapi++/
	$(INSTALL) -m 0644 libmapi++/clibmapi.h $(DESTDIR)$(includedir)/libmapi++/
	$(INSTALL) -m 0644 libmapi++/folder.h $(DESTDIR)$(includedir)/libmapi++/
	$(INSTALL) -m 0644 libmapi++/libmapi++.h $(DESTDIR)$(includedir)/libmapi++/
	$(INSTALL) -m 0644 libmapi++/mapi_exception.h $(DESTDIR)$(includedir)/libmapi++/
	$(INSTALL) -m 0644 libmapi++/message.h $(DESTDIR)$(includedir)/libmapi++/
	$(INSTALL) -m 0644 libmapi++/message_store.h $(DESTDIR)$(includedir)/libmapi++/
	$(INSTALL) -m 0644 libmapi++/object.h $(DESTDIR)$(includedir)/libmapi++/
	$(INSTALL) -m 0644 libmapi++/profile.h $(DESTDIR)$(includedir)/libmapi++/
	$(INSTALL) -m 0644 libmapi++/property_container.h $(DESTDIR)$(includedir)/libmapi++/
	$(INSTALL) -m 0644 libmapi++/session.h $(DESTDIR)$(includedir)/libmapi++/
	@$(SED) $(DESTDIR)$(includedir)/libmapi++/*.h

libmapixx-libs-clean:
	rm -f libmapi++/src/*.po
	rm -f libmapipp.$(SHLIBEXT)*
	rm -f libmapi++/src/*.gcno libmapi++/src/*.gcda

libmapixx-clean: libmapixx-tests-clean libmapixx-libs-clean

libmapixx-installlib:
	@echo "[*] install: libmapi++ library"
	$(INSTALL) -d $(DESTDIR)$(libdir)
	$(INSTALL) -m 0755 libmapipp.$(SHLIBEXT).$(PACKAGE_VERSION) $(DESTDIR)$(libdir)

=== mapiproxy/libmapistore/Makefile ===
# simple makefile wrapper to run waf

WAF=WAF_MAKE=1 PATH=buildtools:../../buildtools:$$PATH waf

all:
	$(WAF) build

install:
	$(WAF) install

uninstall:
	$(WAF) uninstall

dist:
	touch .tmplock
	WAFLOCK=.tmplock $(WAF) dist

distcheck:
	touch .tmplock
	WAFLOCK=.tmplock $(WAF) distcheck

clean:
	$(WAF) clean

distclean:
	$(WAF) distclean

reconfigure: configure
	$(WAF) reconfigure

show_waf_options:
	$(WAF) --help

pydoctor:
	$(WAF) pydoctor

bin/%:: FORCE
	$(WAF) --targets=`basename $@`
FORCE:

=== mapiproxy/libmapistore/wscript ===
from waflib.Task import Task
from waflib.TaskGen import extension
import os

APPNAME = 'mapistore'
VERSION = '2.0'

top = '.'
out = 'build'

def options(ctx):
    ctx.load('compiler_c')
    ctx.add_option('--datadir',type='string',default='',dest='datadir',help='read-only application data')

def configure(conf):
    conf.load('compiler_c')

    conf.env.CPPFLAGS = ['-Wall', '-Werror', '-g3', '-fstrict-aliasing', '-Wp,-D_FORTIFY_SOURCE=2', 
                         '-Wmissing-prototypes', '-Wstrict-prototypes']

    prefix = conf.options.prefix
    conf.env.includedir = os.path.join(prefix, "include")
    libdir = os.path.join(prefix, "lib")
    mapistore_path = os.path.join(prefix, 'private/mapistore')

    def getstr(varname):
        return getattr(conf.options,varname,'')
    
    datadir=getstr('datadir')
    if not datadir:datadir=os.path.join(prefix,'share')
    conf.env.datadir = datadir

    conf.define('MAPISTORE_MAPPING_PATH', mapistore_path)
    conf.define('MAPISTORE_DBPATH', os.path.join(mapistore_path, "mapistore.ldb"))
    conf.define('MAPISTORE_LDIF', datadir)
    conf.define('MAPISTORE_BACKEND_INSTALLDIR', os.path.join(libdir, "mapistore_backends"))
    conf.define('MAPISTORE_DB_NAMEDPROPS_PATH', os.path.join(mapistore_path, "mapistore_named_properties.ldb"))

    conf.check_cfg(atleast_pkgconfig_version='0.20')

    conf.check_cfg(package='ndr',
                   args=['ndr >= 0.0.1', '--cflags', '--libs'],
                   uselib_store='NDR',
                   msg="Checking for 'ndr 0.0.1'")

    conf.check_cfg(package='tdb',
		   args=['tdb >= 1.2.9', '--cflags', '--libs'],
		   uselib_store='TDB',
		   msg="Checking for 'tdb 1.2.9'")

    conf.check_cfg(package='talloc',
                   args=['talloc >= 2.0.5', '--cflags', '--libs'],
                   uselib_store='TALLOC',
                   msg="Checking for 'talloc 2.0.5'")

    conf.check_cfg(package='samba-hostconfig',
                   args=['--cflags', '--libs'],
                   uselib_store='SAMBA-HOSTCONFIG',
                   msg="Checking for 'samba-hostconfig 0.0.1'")

    conf.check_cfg(package='libocpf',
                   args=['libocpf >= 0.11', '--cflags', '--libs'],
                   uselib_store='OCPF',
                   msg="Checking for 'ocpf 0.11'")

    conf.check_cfg(package='ldb',
                   args=['--cflags', '--libs'],
                   uselib_store='LDB',
                   msg="Checking for 'ldb 1.0.1'")

    try:
	conf.find_program('pidl', var='PIDL')
    except ctx.errors.ConfigurationError:
	self.fatal("PIDL compiler not found")

    print("prefix is " + conf.options.prefix)

def post(ctx):
        if ctx.cmd == 'install':
            ctx.exec_command('/sbin/ldconfig')

class idl(Task):
    run_str = '${PIDL} --outputdir=indexing --header --ndr-parser -- ${SRC}'
    color   = 'BLUE'
    ext_out = ['.h', '.c']

@extension('.idl')
def process_idl(self, node):
    ndr_node = node.change_ext('.c')

    try:
        ndr_node.name.index("ndr_")
    except ValueError:
        ndr_node.name = "ndr_" + ndr_node.name
    h_node = node.change_ext('.h')
    self.create_task('idl', node, [ndr_node, h_node])
    self.source.append(ndr_node)

def build(bld):
    bld.shlib(
        features = 'c cshlib',
        source = [
            'indexing/mapistore_indexing_db.idl',
            'mapistore_interface.c',
            'mapistore_processing.c', 
            'mapistore_backend.c',
            'mapistore_backend_defaults.c',
            'mapistore_backend_public.c', 
            'mapistore_tdb_wrap.c',
            'mapistore_ldb_wrap.c',
            'mapistore_namedprops.c',
            'mapistore_indexing.c',
            'database/mapistoredb.c',
            'database/mapistoredb_conf.c',
            'database/mapistoredb_namedprops.c',
            'indexing/mapistore_indexing.c',
            ],
        target = 'mapistore',
        includes     = ['.', '../../', 'build/indexing'],
        use    = ['NDR', 'LDB', 'TDB', 'TALLOC', 'SAMBA-HOSTCONFIG'])

    bld.shlib(
        features        = 'c cshlib',
        source          = ['backends/mapistore_fsocpf.c'],
        target          = 'mapistore_fsocpf',
        includes        = ['.', '../../'],
        use             = ['mapistore', 'OCPF'])

    bld.shlib(
        features        = 'c cshlib',
        source          = ['backends/mapistore_mstoredb.c'],
        target          = 'mapistore_mstoredb',
        includes        = ['.', '../../', 'build/indexing'],
        use             = ['mapistore', 'LDB'])

    bld(
        features='subst',
        source='libmapistore.pc.in',
        target='libmapistore.pc',
        install_path='${LIBDIR}/pkgconfig',
        PACKAGE_VERSION = VERSION,
        exec_prefix= bld.options.prefix,
        datadir = bld.env.datadir,
        includedir = bld.env.includedir,
        LIBS = '-ltalloc -ltdb -lsamba-hostconfig')


    bld.symlink_as('${PREFIX}/lib/libmapistore.so.0', 'libmapistore.so')
    bld.install_as('${PREFIX}/lib/mapistore_backends/mapistore_mstoredb.so', 'libmapistore_mstoredb.so')
    bld.install_as('${PREFIX}/lib/mapistore_backends/mapistore_fsocpf.so', 'libmapistore_fsocpf.so')
    bld.install_files('${PREFIX}/include/mapistore',
                      ['mapistore.h', 
                       'mapistore_errors.h',
                       'mapistore_defs.h', 
                       'mapistore_backend.h',
                       'mapistore_common.h'])
    bld.install_files('${PREFIX}/lib/pkgconfig', 'libmapistore.pc')

    bld.add_post_fun(post)

=== debian/changelog ===
openchange (1:0.11-2) unstable; urgency=low

  * Upload to unstable.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 28 Sep 2011 14:40:47 +0200

openchange (1:0.11-1) experimental; urgency=low

  * New upstream release.
   + Supports newer versions of Samba4. Closes: #634549
   + Fixes several bugs handling non-ascii characters. LP: #615444
  * Switch to dh_python2. Closes: #616925.
  * Add support for multi-arch.
  * Bump standards version to 3.9.2 (no changes).
  * Switch to new style debhelper.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 31 Jul 2011 21:01:51 +0200

openchange (1:0.11~bzr1901-1) unstable; urgency=low

  * New upstream snapshot.
   + Fixes missing linking of -ldl. Closes: #558943
  * Add dependency on libsubunit-dev for subunit support in mapitest.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 04 Oct 2010 20:42:11 +0200

=== debian/control ===
Source: openchange
Section: net
Priority: optional
Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
Uploaders: Jelmer Vernooij <jelmer@debian.org>
Build-Depends: bison,
               debhelper (>> 8.1.3),
               doxygen,
               flex,
               libboost-thread-dev,
               libdcerpc-dev (>= 4.0.0~alpha17),
               libdcerpc-server-dev (>= 4.0.0~alpha17),
               libical-dev,
               libldb-dev,
               libmagic-dev,
               libndr-standard-dev (>=  4.0.0~alpha17),
               libparse-pidl-perl,
               libpopt-dev,
               libsamba-hostconfig-dev (>= 4.0.0~alpha17),
               libsamba-credentials-dev (>= 4.0.0~alpha17),
               libsamdb-dev (>= 4.0.0~alpha17~),
               libsqlite3-dev,
               libsubunit-dev,
               libtalloc-dev,
               libtevent-dev (>= 0.9.9~),
               libtorture-dev,
               pkg-config,
               python-dev (>= 2.6.6-3),
               samba4-dev (>= 4.0.0~alpha17),
               zlib1g-dev
Standards-Version: 3.9.2
Vcs-Bzr: http://bzr.debian.org/pkg-samba/openchange/unstable
Vcs-Browser: http://bzr.debian.org/lh/pkg-samba/openchange/unstable
Homepage: http://www.openchange.org/
X-Python-Version: 2.7

Package: libmapi0
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Client library for the MAPI protocol
 This library provides a client-side implementation of the MAPI protocol
 that is used by Microsoft Exchange and Outlook.
 .
 Currently implemented features include sending and receiving mail and
 enumerating the address book.

Package: libmapi-dev
Section: libdevel
Architecture: any
Depends: libc6-dev,
         libdcerpc-dev,
         libldb-dev,
         libmapi0 (= ${binary:Version}),
         libndr-dev,
         libndr-standard-dev,
         libsamba-hostconfig-dev,
         libtalloc-dev,
         libtevent-dev,
         ${misc:Depends}
Description: Development files for the MAPI client library
 This library provides a client-side implementation of the MAPI protocol
 that is used by Microsoft Exchange and Outlook.
 .
 Currently implemented features include sending and receiving mail and
 enumerating the address book.
 .
 This package contains the development files.

Package: libmapipp-dev
Section: libdevel
Architecture: any
Depends: libc6-dev,
         libmapipp0 (= ${binary:Version}),
         ${misc:Depends}
Description: Development files for the C++ MAPI client library
 This library provides a thin C++ wrapper around libmapi.
 .
 This package contains the header files.

Package: libmapipp0
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Library files for the C++ MAPI client library
 This library provides a thin C++ wrapper around libmapi.
 .
 This package contains the shared library.

Package: libocpf0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Scripting library for the MAPI protocol
 Library that reads and runs files in the OCPF scripting language,
 a domain-specific language for the MAPI protocol.
 .
 Currently implemented features include sending and receiving mail and
 enumerating the address book.

Package: libocpf-dev
Section: libdevel
Architecture: any
Depends: libc6-dev,
         libocpf0 (= ${binary:Version}),
         ${misc:Depends}
Description: Development files for the OCPF library
 Library that reads and runs files in the OCPF scripting language,
 a domain-specific language for the MAPI protocol.
 .
 Currently implemented features include sending and receiving mail and
 enumerating the address book.
 .
 This package contains the development files.

Package: openchangeclient
Architecture: any
Suggests: nagios3,
          ${perl:Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Command-line client for the MAPI (Exchange/Outlook) protocol
 Simple command-line client that allows fetching mail from and sending
 mail using a MAPI server.

Package: openchangeserver
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: samba4 (>= 4.0.0~),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: Experimental MAPI (Exchange/Outlook) server
 This is a plugin for Samba 4 that adds server-side support for the MAPI
 protocol that is used by Microsoft Outlook and Exchange.
 .
 This package is alpha software.

Package: openchangeserver-dev
Architecture: any
Depends: openchangeserver (= ${binary:Version}),
         samba4-dev (>= 4.0.0~),
         ${misc:Depends}
Description: Experimental MAPI (Exchange/Outlook) server - development files
 This is a plugin for Samba 4 that adds server-side support for the MAPI
 protocol that is used by Microsoft Outlook and Exchange.
 .
 This package contains the development files.

Package: openchangeproxy
Architecture: any
Depends: samba4 (>= 4.0.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Experimental MAPI (Exchange/Outlook) proxy
 This is a plugin for Samba 4 that provides a proxy for the MAPI protocol.
 .
 This package is alpha software.

Package: libmapiadmin0
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Administration client library for the MAPI (Exchange/Outlook) protocol
 Library that allows remote administration of MAPI (Exchange/Outlook) servers.

Package: libmapiadmin-dev
Section: libdevel
Architecture: any
Depends: libc6-dev,
         libmapiadmin0 (= ${binary:Version}),
         ${misc:Depends}
Description: Development files for the MAPI administration client library
 Library that allows remote administration of MAPI (Exchange/Outlook) servers.
 .
 This package contains the development files.

Package: libmapiproxy0
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Proxy library for the MAPI (Exchange/Outlook) protocol
 This is a library that allows proxying of the MAPI (Exchange/Outlook)
 protocol.

Package: libmapiproxy-dev
Section: libdevel
Architecture: any
Depends: libc6-dev,
         libmapiproxy0 (= ${binary:Version}),
         ${misc:Depends}
Description: Development files for the MAPI proxy library
 Library that allows proxying of the MAPI (Exchange/Outlook) protocol.
 .
 This package contains the development files.

Package: libmapistore0
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Storage library for MAPI objects
 Library that can store arbitrary MAPI objects.

Package: libmapistore-dev
Section: libdevel
Depends: libmapistore0 (= ${binary:Version}),
         ${misc:Depends}
Architecture: any
Description: Storage library for MAPI objects - development files
 Library that can store arbitrary MAPI objects.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f
# By Jelmer Vernooij <jelmer@samba.org>
#
LDFLAGS = -Wl,--as-needed
DSOOPT = -shared -Wl,--as-needed -fPIC
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DESTDIR = $(CURDIR)/debian/tmp

PYVERS = $(shell pyversions -rv)
export PYTHON="$(shell which `pyversions -r`)"

%:
	dh $*

override_dh_auto_configure:
	chmod a+x ./configure
	LDFLAGS=-Wl,--as-needed BOOST_LIB_SUFFIX=-mt ./configure \
		--prefix=/usr \
		--mandir=/usr/share/man \
		--with-modulesdir=/usr/lib/$(DEB_HOST_MULTIARCH)/openchange \
		--disable-pymapi \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
	sed -i -e 's/site-packages/dist-packages/' config.mk

override_dh_auto_test:
	# Test suite fails at the moment, because of changes in Samba.

override_dh_auto_build:
	$(MAKE) datadir=/usr/share/openchange LDFLAGS="$(LDFLAGS)" DSOOPT="$(DSOOPT)" all

override_dh_auto_clean:
	[ ! -f config.mk ] || $(MAKE) distclean

override_dh_auto_install:
	mkdir -p $(DESTDIR)/modules/dcerpc_server
	mkdir -p $(DESTDIR)/usr/lib/nagios/plugins
	$(MAKE) datadir=/usr/share/openchange install installman DESTDIR=$(DESTDIR)
	mv $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/nagios/check_exchange \
	   $(DESTDIR)/usr/lib/nagios/plugins/check_exchange 
	mkdir -p $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/samba/dcerpc_server
	mv $(DESTDIR)/usr/modules/dcerpc_server/* \
	   $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/samba/dcerpc_server
	rm -rf $(DESTDIR)/usr/modules
	# Don't install the testsuite for now
	rm -f $(DESTDIR)/usr/torture/openchange.so
	rm -rf $(DESTDIR)/usr/share/openchange/mapitest
	rm -f $(DESTDIR)/usr/bin/check_fasttransfer
	rm -f $(DESTDIR)/usr/bin/test_asyncnotif
	install -m 0644 -D debian/openchangeserver.lintian debian/openchangeserver/usr/share/lintian/overrides/openchangeserver
	ln -s libmapi.so.0.11 $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/libmapi.so.0
	ln -s libmapiadmin.so.0.11 $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/libmapiadmin.so.0
	ln -s libmapipp.so.0.11 $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/libmapipp.so.0
	ln -s libmapiproxy.so.0.11 $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/libmapiproxy.so.0
	ln -s libmapistore.so.0.11 $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/libmapistore.so.0
	ln -s libocpf.so.0.11 $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/libocpf.so.0
	ln -s libmapiserver.so.0.11 $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/libmapiserver.so.0

override_dh_install:
	dh_install --sourcedir=debian/tmp --list-missing --fail-missing

get-orig-source:
	./debian/build-orig.sh

## openchange 0.11.dfsg1

=== debian/changelog ===
openchange (1:0.11.dfsg1-1) unstable; urgency=low

  * Repack orig tarball to exclude waf. Closes: #654494

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 07 Feb 2012 16:21:04 +0100

## openchange 1.0~svn679

=== Makefile ===
# Makefile for OpenChange
# Written by Jelmer Vernooij <jelmer@samba.org>, 2005.

default: all

# Until we add proper dependencies for all the C files:
.NOTPARALLEL:

config.mk: config.status config.mk.in
	./config.status

config.status: configure
	./configure

configure: configure.ac
	autoconf -f

samba:
	./script/installsamba4.sh all

samba-git: 
	./script/installsamba4.sh git-all

ifneq ($(MAKECMDGOALS), samba)
ifneq ($(MAKECMDGOALS), samba-git)
include config.mk
endif
endif

#################################################################
# top level compilation rules
#################################################################

all: 		$(OC_IDL)		\
		$(OC_LIBS)		\
		$(OC_TOOLS)		\
		$(OC_TORTURE)		\
		$(OC_SERVER)		\
		$(SWIGDIRS-ALL)					

install: 	all 			\
		installlib 		\
		installpc 		\
		installheader 		\
		$(OC_TOOLS_INSTALL) 	\
		$(OC_SERVER_INSTALL) 	\
		$(OC_TORTURE_INSTALL) 	\
		$(SWIGDIRS-INSTALL) 	\
		installnagios

installlib:	$(OC_LIBS_INSTALL)
installpc:	$(OC_LIBS_INSTALLPC)
installheader:	$(OC_LIBS_INSTALLHEADERS)

uninstall:: 	$(OC_LIBS_UNINSTALL) 	\
		$(OC_TOOLS_UNINSTALL) 	\
		$(OC_SERVER_UNINSTALL) 	\
		$(OC_TORTURE_UNINSTALL) \
		$(SWIGDIRS-UNINSTALL)

distclean:: clean
	rm -rf autom4te.cache
	rm -f Doxyfile
	rm -f libmapi/Doxyfile
	rm -f libocpf/Doxyfile
	rm -f mapiproxy/Doxyfile
	rm -f config.status config.log
	rm -f utils/mapitest/Doxyfile
	rm -f intltool-extract intltool-merge intltool-update
	rm -rf apidocs
	rm -rf gen_ndr
	rm -f tags

clean::
	rm -f *~
	rm -f */*~
	rm -f */*/*~
	rm -f doc/examples/mapi_sample1
	rm -f doc/examples/fetchappointment
	rm -f doc/examples/fetchmail

re:: clean install

#################################################################
# Suffixes compilation rules
#################################################################

.SUFFIXES: .c .o .h .po .idl

.idl.h:
	@echo "Generating $@"
	@$(PIDL) --outputdir=gen_ndr --header -- $<

.c.o:
	@echo "Compiling $<"
	@$(CC) $(CFLAGS) -c $< -o $@

.c.po:
	@echo "Compiling $< with -fPIC"
	@$(CC) $(CFLAGS) -fPIC -c $< -o $@



#################################################################
# IDL compilation rules
#################################################################

idl: gen_ndr gen_ndr/ndr_exchange.h

exchange.idl: mapitags_enum.h mapicodes_enum.h

gen_ndr:
	@echo "Creating the gen_ndr directory"
	mkdir -p gen_ndr

gen_ndr/ndr_%.h gen_ndr/ndr_%.c: %.idl %.h
	@echo "Generating $@"
	@$(PIDL) --outputdir=gen_ndr --ndr-parser -- $<

gen_ndr/ndr_%_c.h gen_ndr/ndr_%_c.c: %.idl %.h
	@echo "Generating $@"
	@$(PIDL) --outputdir=gen_ndr --client -- $<

gen_ndr/ndr_%_s.c: %.idl
	@echo "Generating $@"
	@$(PIDL) --outputdir=gen_ndr --server -- $<



#################################################################
# libmapi compilation rules
#################################################################

LIBMAPI_SO_VERSION = 0

libmapi:	idl					\
		libmapi/version.h			\
		libmapi/proto.h				\
		libmapi.$(SHLIBEXT).$(PACKAGE_VERSION)	

libmapi-install:	libmapi-installpc	\
			libmapi-installlib	\
			libmapi-installheader	\
			libmapi-installscript

libmapi-uninstall:	libmapi-uninstallpc	\
			libmapi-uninstalllib	\
			libmapi-uninstallheader	\
			libmapi-uninstallscript

libmapi-clean::
	rm -f libmapi/*.o libmapi/*.po
	rm -f libmapi/utf8_convert.yy.c
	rm -f libmapi/tests/*.o, libmapi/tests/*.po
	rm -f libmapi/socket/*.o libmapi/socket/*.po
	rm -f libmapi/util/*.o, libmapi/util/*.po
	rm -f libmapi/version.h
	rm -f libmapi/mapicode.c libmapi/mapicode.h
	rm -f libmapi/mapitags.c libmapi/mapitags.h
	rm -f libmapi/mapi_nameid_private.h
	rm -f libmapi/proto.h
	rm -f libmapi/proto_private.h
	rm -f gen_ndr/ndr_exchange*
	rm -f gen_ndr/exchange.h
	rm -f ndr_mapi.o ndr_mapi.po
	rm -f mapicodes_enum.h
	rm -f mapitags_enum.h
	rm -f *~
	rm -f */*~
	rm -f */*/*~
	rm -f libmapi.$(SHLIBEXT).$(PACKAGE_VERSION) libmapi.$(SHLIBEXT).$(LIBMAPI_SO_VERSION) \
		  libmapi.$(SHLIBEXT)

clean:: libmapi-clean

libmapi-distclean::
	rm -f libmapi.pc

distclean:: libmapi-distclean

libmapi-installpc:
	@echo "[*] install: libmapi pc files"
	$(INSTALL) -d $(DESTDIR)$(libdir)/pkgconfig
	$(INSTALL) -m 0644 libmapi.pc $(DESTDIR)$(libdir)/pkgconfig

libmapi-installlib:
	@echo "[*] install: libmapi library"
	$(INSTALL) -d $(DESTDIR)$(libdir)
	$(INSTALL) -m 0755 libmapi.$(SHLIBEXT).$(PACKAGE_VERSION) $(DESTDIR)$(libdir)
	ln -sf libmapi.$(SHLIBEXT).$(PACKAGE_VERSION) $(DESTDIR)$(libdir)/libmapi.$(SHLIBEXT)

libmapi-installheader:
	@echo "[*] install: libmapi headers"
	$(INSTALL) -d $(DESTDIR)$(includedir)/libmapi 
	$(INSTALL) -d $(DESTDIR)$(includedir)/libmapi/socket 
	$(INSTALL) -d $(DESTDIR)$(includedir)/gen_ndr
	$(INSTALL) -m 0644 libmapi/dlinklist.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/libmapi.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/proto.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/nspi.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/emsmdb.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/mapi_ctx.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/mapi_provider.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/mapi_id_array.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/mapi_notification.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/mapi_object.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/mapi_profile.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/mapi_nameid.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/mapidefs.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/version.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/mapicode.h $(DESTDIR)$(includedir)/libmapi/
	$(INSTALL) -m 0644 libmapi/socket/netif.h $(DESTDIR)$(includedir)/libmapi/socket/
	$(INSTALL) -m 0644 gen_ndr/exchange.h $(DESTDIR)$(includedir)/gen_ndr/

libmapi-installscript:
	$(INSTALL) -d $(DESTDIR)$(datadir)/js
	$(INSTALL) -m 0644 scripting/libjs/oc_profiles.js $(DESTDIR)$(datadir)/js/
	$(INSTALL) -d $(DESTDIR)$(datadir)/setup
	$(INSTALL) -m 0644 setup/oc_profiles* $(DESTDIR)$(datadir)/setup/

libmapi-uninstallpc:
	rm -f $(DESTDIR)$(libdir)/pkgconfig/libmapi.pc

libmapi-uninstalllib:
	rm -f $(DESTDIR)$(libdir)/libmapi.*

libmapi-uninstallheader:
	rm -rf $(DESTDIR)$(includedir)/libmapi
	rm -f $(DESTDIR)$(includedir)/gen_ndr/exchange.h

libmapi-uninstallscript:
	rm -f $(DESTDIR)$(datadir)/js/oc_profiles.js
	rm -f $(DESTDIR)$(datadir)/setup/oc_profiles*

libmapi.$(SHLIBEXT).$(PACKAGE_VERSION): 		\
	libmapi/IABContainer.po				\
	libmapi/IProfAdmin.po				\
	libmapi/IMAPIContainer.po			\
	libmapi/IMAPIFolder.po				\
	libmapi/IMAPIProp.po				\
	libmapi/IMAPISession.po				\
	libmapi/IMAPISupport.po				\
	libmapi/IStream.po				\
	libmapi/IMAPITable.po				\
	libmapi/IMessage.po				\
	libmapi/IMsgStore.po				\
	libmapi/IStoreFolder.po				\
	libmapi/IUnknown.po				\
	libmapi/IMSProvider.po				\
	libmapi/IXPLogon.po				\
	libmapi/FXICS.po				\
	libmapi/utils.po 				\
	libmapi/property.po				\
	libmapi/cdo_mapi.po 				\
	libmapi/lzfu.po					\
	libmapi/mapi_object.po				\
	libmapi/mapi_id_array.po			\
	libmapi/mapitags.po				\
	libmapi/mapidump.po				\
	libmapi/mapicode.po 				\
	libmapi/mapi_nameid.po				\
	libmapi/emsmdb.po				\
	libmapi/nspi.po 				\
	libmapi/simple_mapi.po				\
	libmapi/util/lcid.po 				\
	libmapi/util/codepage.po			\
	libmapi/x500.po 				\
	ndr_mapi.po					\
	gen_ndr/ndr_exchange.po				\
	gen_ndr/ndr_exchange_c.po			\
	libmapi/socket/interface.po			\
	libmapi/socket/netif.po				\
	libmapi/utf8_convert.yy.po
	@echo "Linking $@"
	@$(CC) $(DSOOPT) -Wl,-soname,libmapi.$(SHLIBEXT).$(LIBMAPI_SO_VERSION) -o $@ $^ $(LIBS)


libmapi.$(SHLIBEXT).$(LIBMAPI_SO_VERSION): libmapi.$(SHLIBEXT).$(PACKAGE_VERSION)
	ln -fs $< $@

libmapi/version.h: VERSION
	@./script/mkversion.sh 	VERSION libmapi/version.h $(PACKAGE_VERSION) $(top_builddir)/

libmapi/utf8_convert.yy.c: 	libmapi/utf8_convert.l
	@echo "Generating $@"
	@$(FLEX) -t $< > $@

# Avoid warnings:
libmapi/utf8_convert.yy.o: CFLAGS=

libmapi/proto.h libmapi/proto_private.h:		\
	libmapi/nspi.c					\
	libmapi/emsmdb.c				\
	libmapi/cdo_mapi.c				\
	libmapi/simple_mapi.c				\
	libmapi/mapitags.c				\
	libmapi/mapicode.c				\
	libmapi/mapidump.c				\
	libmapi/mapi_object.c				\
	libmapi/mapi_id_array.c				\
	libmapi/mapi_nameid.c				\
	libmapi/property.c				\
	libmapi/IABContainer.c				\
	libmapi/IProfAdmin.c				\
	libmapi/IMAPIContainer.c			\
	libmapi/IMAPIFolder.c 				\
	libmapi/IMAPIProp.c 				\
	libmapi/IMAPISession.c				\
	libmapi/IMAPISupport.c				\
	libmapi/IMAPITable.c 				\
	libmapi/IMSProvider.c				\
	libmapi/IMessage.c 				\
	libmapi/IMsgStore.c 				\
	libmapi/IStoreFolder.c				\
	libmapi/IUnknown.c 				\
	libmapi/IStream.c				\
	libmapi/IXPLogon.c				\
	libmapi/FXICS.c					\
	libmapi/x500.c 					\
	libmapi/lzfu.c					\
	libmapi/utils.c 				\
	libmapi/util/lcid.c 				\
	libmapi/util/codepage.c 			\
	libmapi/socket/interface.c			\
	libmapi/socket/netif.c		
	@echo "Generating $@"
	@./script/mkproto.pl --private=libmapi/proto_private.h --public=libmapi/proto.h $^

libmapi/emsmdb.c: libmapi/emsmdb.h gen_ndr/ndr_exchange_c.h

libmapi/mapitags.c libmapi/mapicode.c mapitags_enum.h mapicodes_enum.h: \
	libmapi/conf/mapi-properties 					\
	libmapi/conf/mapi-codes 					\
	libmapi/conf/mapi-named-properties 				\
	libmapi/conf/mparse.pl
	@./libmapi/conf/build.sh

#################################################################
# libmapi++ compilation rules
#################################################################

libmapixx: libmapi libmapixx-tests

libmapixx-installpc:

libmapixx-clean: libmapixx-tests-clean

libmapixx-install: libmapixx-installheader

libmapixx-uninstall: libmapixx-uninstallheader

libmapixx-installheader:
	@echo "[*] install: libmapi++ headers"
	$(INSTALL) -d $(DESTDIR)$(includedir)/libmapi++
	$(INSTALL) -m 0644 libmapi++/attachment.h $(DESTDIR)$(includedir)/libmapi++/
	$(INSTALL) -m 0644 libmapi++/clibmapi.h $(DESTDIR)$(includedir)/libmapi++/
	$(INSTALL) -m 0644 libmapi++/folder.h $(DESTDIR)$(includedir)/libmapi++/
	$(INSTALL) -m 0644 libmapi++/libmapi++.h $(DESTDIR)$(includedir)/libmapi++/
	$(INSTALL) -m 0644 libmapi++/mapi_exception.h $(DESTDIR)$(includedir)/libmapi++/
	$(INSTALL) -m 0644 libmapi++/message.h $(DESTDIR)$(includedir)/libmapi++/
	$(INSTALL) -m 0644 libmapi++/message_store.h $(DESTDIR)$(includedir)/libmapi++/
	$(INSTALL) -m 0644 libmapi++/object.h $(DESTDIR)$(includedir)/libmapi++/
	$(INSTALL) -m 0644 libmapi++/profile.h $(DESTDIR)$(includedir)/libmapi++/
	$(INSTALL) -m 0644 libmapi++/property_container.h $(DESTDIR)$(includedir)/libmapi++/
	$(INSTALL) -m 0644 libmapi++/session.h $(DESTDIR)$(includedir)/libmapi++/
	$(INSTALL) -d $(DESTDIR)$(includedir)/libmapi++/impl
	$(INSTALL) -m 0644 libmapi++/impl/* $(DESTDIR)$(includedir)/libmapi++/impl/

libmapixx-uninstallheader:
	rm -rf $(DESTDIR)$(includedir)/libmapi++


libmapixx-tests:	libmapixx-test		\
			libmapixx-attach

libmapixx-tests-clean:	libmapixx-test-clean	\
			libmapixx-attach-clean	

libmapixx-test: bin/libmapixx-test

libmapixx-test-clean:
	rm -f bin/libmapixx-test
	rm -f libmapi++/tests/*.o

bin/libmapixx-test:	libmapi++/tests/test.cpp	\
		libmapi.$(SHLIBEXT).$(PACKAGE_VERSION)
	@echo "Linking sample application $@"
	@$(CXX) $(CXXFLAGS) -o $@ $^ $(LIBS)

clean:: libmapixx-test-clean

libmapixx-attach: bin/libmapixx-attach

libmapixx-attach-clean:
	rm -f bin/libmapixx-attach
	rm -f libmapi++/tests/*.o

bin/libmapixx-attach: libmapi++/tests/attach_test.cpp	\
		  libmapi.$(SHLIBEXT).$(PACKAGE_VERSION)
	@echo "Linking sample application $@"
	@$(CXX) $(CXXFLAGS) -o $@ $^ $(LIBS)

clean:: libmapixx-attach-clean

#################################################################
# libmapiadmin compilation rules
#################################################################

LIBMAPIADMIN_SO_VERSION = 0

libmapiadmin:	libmapiadmin/proto.h				\

=== swig/perl/Makefile ===
#Makefile for libmapi Perl bindings
#Writen by Julien Kerihuel <j.kerihuel@openchange.org>, 2007.

include ../../config.mk

top_builddir = ../..

CFLAGS+=`perl -MExtUtils::Embed -e ccopts` -D_SAMBA_UTIL_H_

# Portability hack...
CFLAGS+=-Duint_t="unsigned int" 

CFLAGS+=-I$(top_builddir)

all::	swig_mapitags.h 		\
	swig_mapicodes.h		\
	mapi_wrap.c			\
	mapi.$(SHLIBEXT)

clean::
	rm -f *.o
	rm -f *.pm
	rm -f mapi_wrap.c
	rm -f swig_mapicodes.h swig_mapitags.h
	rm -f mapi.$(SHLIBEXT)

distclean:: clean
	rm -f *.so

install:: all
	cp mapi.pm $(PERL5DIR)
	cp mapi.so $(PERL5DIR)

uninstall::
	rm -f $(PERL5DIR)/mapi.pm
	rm -f $(PERL5DIR)/mapi.so

mapi_wrap.c: mapi.i
	@echo "Swigify $<"
	@$(SWIG) -Wall -Werror -perl5 $<

swig_mapitags.h:
	@echo "Generating Headers (swig_mapitags.h)"
	@$(top_builddir)/libmapi/conf/mparse.pl --parser=swig_mapitags --outputdir=./ $(top_builddir)/libmapi/conf/mapi-properties

swig_mapicodes.h:
	@echo "Generating Headers (swig_mapicodes.h)"
	@$(top_builddir)/libmapi/conf/mparse.pl --parser=swig_mapicodes --outputdir=./ $(top_builddir)/libmapi/conf/mapi-codes

.c.o:
	@echo "Compiling $<"
	@$(CC) $(CFLAGS) -DDEFAULT_LDIF=\"$(DESTDIR)$(datadir)/setup\" -c $< -o $@

mapi.$(SHLIBEXT): 	mapi_wrap.o				\
			lwmapi.o				\
			../../libmapi/utf8_convert.yy.po	\
			../../libmapi/*.po			\
			../../gen_ndr/*.po			\
			../../*.po
	@echo "Compiling $<"
	@$(CC) -o $@ $(DSOOPT) $^ $(LIBS)
